Save a new immutable data version with an exact current-version check
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/datasets/{datasetId}/revisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"expectedVersion": 0,
"expectedDigest": "<string>",
"source": {
"sourceDraftId": "<string>",
"revision": 1073741824,
"version": 0,
"sourceDigest": "<string>",
"buildHash": "<string>",
"packageId": "<string>",
"instanceId": "<string>"
},
"collections": [
{
"namespace": "<string>",
"records": [
{
"rowId": "<string>",
"value": {}
}
]
}
],
"name": "<string>"
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/datasets/{datasetId}/revisions"
payload = {
"expectedVersion": 0,
"expectedDigest": "<string>",
"source": {
"sourceDraftId": "<string>",
"revision": 1073741824,
"version": 0,
"sourceDigest": "<string>",
"buildHash": "<string>",
"packageId": "<string>",
"instanceId": "<string>"
},
"collections": [
{
"namespace": "<string>",
"records": [
{
"rowId": "<string>",
"value": {}
}
]
}
],
"name": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
expectedVersion: 0,
expectedDigest: '<string>',
source: {
sourceDraftId: '<string>',
revision: 1073741824,
version: 0,
sourceDigest: '<string>',
buildHash: '<string>',
packageId: '<string>',
instanceId: '<string>'
},
collections: [{namespace: '<string>', records: [{rowId: '<string>', value: {}}]}],
name: '<string>'
})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/datasets/{datasetId}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataset": {
"schemaVersion": 1,
"organizationId": "<string>",
"projectId": "<string>",
"datasetId": "<string>",
"name": "<string>",
"packageId": "<string>",
"version": 0,
"currentRevision": 1073741824,
"currentDigest": "<string>",
"state": "available",
"createdBy": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"archivedAtMs": 0
},
"revision": {
"schemaVersion": 1,
"datasetId": "<string>",
"revision": 1073741824,
"tool": {
"packageId": "<string>",
"version": "<string>",
"manifestHash": "<string>",
"artifactHash": "<string>",
"stateSchemaDigest": "<string>"
},
"collections": [
{
"namespace": "<string>",
"records": [
{
"rowId": "<string>",
"value": {}
}
]
}
],
"digest": "<string>"
},
"provenance": {
"sourceDraftId": "<string>",
"sourceRevision": 1073741824,
"sourceVersion": 0,
"sourceDigest": "<string>",
"buildHash": "<string>",
"worldProjectionDigest": "<string>",
"toolArtifactId": "<string>",
"instanceId": "<string>"
},
"revisionCreatedBy": "<string>",
"revisionCreatedAtMs": 0,
"replayed": true
}{
"dataset": {
"schemaVersion": 1,
"organizationId": "<string>",
"projectId": "<string>",
"datasetId": "<string>",
"name": "<string>",
"packageId": "<string>",
"version": 0,
"currentRevision": 1073741824,
"currentDigest": "<string>",
"state": "available",
"createdBy": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"archivedAtMs": 0
},
"revision": {
"schemaVersion": 1,
"datasetId": "<string>",
"revision": 1073741824,
"tool": {
"packageId": "<string>",
"version": "<string>",
"manifestHash": "<string>",
"artifactHash": "<string>",
"stateSchemaDigest": "<string>"
},
"collections": [
{
"namespace": "<string>",
"records": [
{
"rowId": "<string>",
"value": {}
}
]
}
],
"digest": "<string>"
},
"provenance": {
"sourceDraftId": "<string>",
"sourceRevision": 1073741824,
"sourceVersion": 0,
"sourceDigest": "<string>",
"buildHash": "<string>",
"worldProjectionDigest": "<string>",
"toolArtifactId": "<string>",
"instanceId": "<string>"
},
"revisionCreatedBy": "<string>",
"revisionCreatedAtMs": 0,
"replayed": true
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Save a new immutable data version with an exact current-version check
Save a new immutable data version with an exact current-version check
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^dataset_[0-9a-f]{12,32}$Body
application/json
Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^sha256:[0-9a-f]{64}$Show child attributes
Show child attributes
Maximum array length:
2048Show child attributes
Show child attributes
Required string length:
1 - 160Response
Original revision receipt
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
1 - 255Required range:
-9007199254740991 <= x <= 9007199254740991